Bug 55695 - Writer not generating window.activate when focus is returned.
Summary: Writer not generating window.activate when focus is returned.
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
PreBibisect
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2012-10-06 14:59 UTC by Miria Grunick
Modified: 2016-12-02 11:43 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Python script that listens for window.activate events (258 bytes, text/x-python)
2012-10-06 14:59 UTC, Miria Grunick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miria Grunick 2012-10-06 14:59:14 UTC
Created attachment 68161 [details]
Python script that listens for window.activate events

Writer is not returning a window.activate event when the focus is returned by Alt-Tab. You can see the window.activate events generated with the attached python listener.

To reproduce:
1. Open Writer. 
2. Alt-Tab away from Writer to another window.
3. Alt-Tab back to Writer. No window.activate event is generated for Writer.
Comment 1 Joel Madero 2013-06-02 02:43:08 UTC
We need to know:

What operating system?
What version of libreoffice?

Has it been tested on a new stable release (preferably version 4)?

What real impact does this have on anyone?

Marking as NEEDINFO - please answer these questions and then mark as UNCONFIRMED if the problem still exists - if it doesn't mark as WFM.


Thanks for your patience, apologies it took so long for someone to respond to your bug report
Comment 2 peter.v 2013-10-18 11:19:24 UTC
This is still an issue. I am currently running gnome 3.10 with orca 3.10.1 and libreoffice 4.1.2.
I can do the following
- locate a writer icon in the gnome dock or elsewhere
- activate the icon

what happens
libre office writer window opens but I am not notified that something has changed giving an impression focus is still on the writer icon in the dock.

What is expected
writer document window should notify ATK that it has gained the system focus somehow. For example while opening gnome applications like gedit, gnome calculator etc I am correctly notified to the fact they have been launched with a proper focus indication.
Comment 3 Michael Stahl 2013-11-16 16:03:59 UTC
confirmed by comment #2
Comment 4 Niklas Johansson 2014-05-13 16:57:22 UTC
Started bisecting this issue and noticed that the issue was the same in version 3.5.0 as it is in the current version.

I also noticed that if you open a new document from within LibreOffice the new document will receive the window.activate event, but the first document will continue to not receiving the event.

And the issue is not isolated to Writer the issue is just the same if the first document you open is a spreadsheet, drawing, ...
Comment 5 Joel Madero 2014-05-13 17:55:51 UTC
Per comment updating above info
Comment 6 QA Administrators 2015-06-08 14:41:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.3 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results;
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-06-08
Comment 7 Yousuf Philips (jay) 2016-09-13 12:13:41 UTC
(In reply to peter.v from comment #2)
> What is expected
> writer document window should notify ATK that it has gained the system focus
> somehow. For example while opening gnome applications like gedit, gnome
> calculator etc I am correctly notified to the fact they have been launched
> with a proper focus indication.

Works fine for me on Ubuntu 16.04, Libreoffice 5.3 master gtk2 and gtk3 builds, Orca 3.20.3.
Comment 8 Alex ARNAUD 2016-12-02 11:43:24 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> (In reply to peter.v from comment #2)
> > What is expected
> > writer document window should notify ATK that it has gained the system focus
> > somehow. For example while opening gnome applications like gedit, gnome
> > calculator etc I am correctly notified to the fact they have been launched
> > with a proper focus indication.
> 
> Works fine for me on Ubuntu 16.04, Libreoffice 5.3 master gtk2 and gtk3
> builds, Orca 3.20.3.

On LibreOffice 5.2 GTK2 the problem still appears. It looks like Orca has created a work around for this issue.

I mark the bug as reopened.